NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.ControlPointCollection Class Reference

Represents a collection of NXOpen.Routing.ControlPoint objects. More...

Inheritance diagram for NXOpen.Routing.ControlPointCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Types

enum  CheckExisting { DontSearch, Search }
 Option for searching for an existing NXOpen.Routing.ControlPoint when attempting to create an new NXOpen.Routing.ControlPoint . More...
 
enum  FoundExisting { BrandNew, Existing }
 Whether NXOpen.Routing.ControlPoint returned from the creator methods was an existing NXOpen.Routing.ControlPoint or a new NXOpen.Routing.ControlPoint . More...
 

Public Member Functions

unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.Point3d position, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a dumb NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.Routing.Port port, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a smart NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.TaggedObject @object, double objectParm, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a NXOpen.Routing.ControlPoint at the given object and normalized parameter. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.Point point, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a smart NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.IBaseCurve conic, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a smart NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.Routing.IRoutePosition startObject, NXOpen.Vector3d offset, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a dumb NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint CreateControlPoint (NXOpen.Routing.ControlPoint cpOcc, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)
 Creates a smart NXOpen.Routing.ControlPoint object. More...
 
unsafe NXOpen.Routing.ControlPoint FindControlPoint (NXOpen.Point3d position, double tolerance)
 Finds an existing NXOpen.Routing.ControlPoint at the given ABS coordinates within the given tolerance. More...
 
NXOpen.Routing.ControlPoint[] ToArray ()
 Returns an array of NXOpen.Routing.ControlPoint objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.ControlPoint objects.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Routing.ControlPoint is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX4.0.0

Member Enumeration Documentation

Option for searching for an existing NXOpen.Routing.ControlPoint when attempting to create an new NXOpen.Routing.ControlPoint .

Enumerator
DontSearch 

Don't search for an exising object, always create a new object.

Search 

Search for an existing object, don't create a new object if one exists at the correct location.

Whether NXOpen.Routing.ControlPoint returned from the creator methods was an existing NXOpen.Routing.ControlPoint or a new NXOpen.Routing.ControlPoint .

Enumerator
BrandNew 

Object is a new object.

Existing 

Object existed already.

Member Function Documentation

unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.Point3d  position,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a dumb NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is not associative to any other object.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
positionABS coordinates
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.Routing.Port  port,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a smart NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is associative to the input NXOpen.Routing.Port .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
port
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.TaggedObject object,
double  objectParm,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a NXOpen.Routing.ControlPoint at the given object and normalized parameter.

Supports curves [includes segments], ports and circular edges.

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
object
objectParm
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.Point  point,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a smart NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is associative to the input NXOpen.Point .

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
point
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.IBaseCurve  conic,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a smart NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is associative to a NXOpen.Point that is defined at the center of a NXOpen.IBaseCurve object.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
conic
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.Routing.IRoutePosition  startObject,
NXOpen.Vector3d  offset,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a dumb NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is not associative to any other object. The position of the object is located at the XC, YC, ZC offset (using the work coordinate system) from the input NXOpen.Routing.IRoutePosition object.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startObjectStarting position.
offsetOffset values.
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.CreateControlPoint ( NXOpen.Routing.ControlPoint  cpOcc,
NXOpen.Routing.ControlPointCollection.CheckExisting  checkExisting,
out NXOpen.Routing.ControlPointCollection.FoundExisting  foundExisting 
)
inline

Creates a smart NXOpen.Routing.ControlPoint object.

The NXOpen.Routing.ControlPoint 's position is smart point that is associative to a NXOpen.Point that is associative to a NXOpen.Routing.ControlPoint occurrence.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
cpOccOccurrence of a NXOpen.Routing.ControlPoint object.
checkExistingReturn an existing NXOpen.Routing.ControlPoint object if one exists at the same location as the position.
foundExistingReturned NXOpen.Routing.ControlPoint is an existing control point.
Returns
override int NXOpen.Routing.ControlPointCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.ControlPointCollection.FindControlPoint ( NXOpen.Point3d  position,
double  tolerance 
)
inline

Finds an existing NXOpen.Routing.ControlPoint at the given ABS coordinates within the given tolerance.

Created in NX4.0.0

License requirements: routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
positionABS coordinates
toleranceDistance tolerance, smallest useful tolerance is returned from NXOpen.Routing.RouteManager.GetLengthTolerance .
Returns
NXOpen.Routing.ControlPoint [] NXOpen.Routing.ControlPointCollection.ToArray ( )
inline

Returns an array of NXOpen.Routing.ControlPoint objects.

Property Documentation

Tag NXOpen.Routing.ControlPointCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.